
      SUBROUTINE AIZ(IFUN,IFAC,X0,Y0,GAIR,GAII,IERRO)
      REAL*16 X0,Y0,GAIR,GAII
      INTEGER IFUN,IFAC,IERRO
      STOP '%%% aiz NOT impl for quadruple precision (si)'
      RETURN
      END



        SUBROUTINE  AIRY1(X,W,GAIR,GAII)
        REAL*16 X,W,GAIR,GAII
        STOP '%%% airy1 NOT impl for quadruple precision (si)'
        RETURN 
        END



        SUBROUTINE  AIRY2(X,W,GAIR,GAII)
        REAL*16 X,W,GAIR,GAII
        STOP '%%% airy2 NOT impl for quadruple precision (si)'
        RETURN 
        END



        SUBROUTINE AIRY1D(X,W,GAIR,GAII)
        REAL*16 X,W,GAIR,GAII
        STOP '%%% airy1d NOT impl for quadruple precision (si)'
        RETURN 
        END  



        SUBROUTINE  AIRY2D(X,W,GAIR,GAII)
        REAL*16 X,W,GAIR,GAII
        STOP '%%% airy2d NOT impl for quadruple precision (si)'
        RETURN 
        END

        REAL*16 FUNCTION PHASE(X,Y)
        REAL*16 X,Y
        STOP '%%% phase NOT impl for quadruple precision (si)'
        RETURN
        END



        SUBROUTINE FG(X,Y,EPS,FR,FI,GR,GI)
        REAL*16 X,Y,EPS,FR,FI,GR,GI
        STOP '%%% fg NOT impl for quadruple precision (si)'
        RETURN
        END



        SUBROUTINE SERAI(X,Y,AIR,AII)
        REAL*16 X,Y,AIR,AII
        STOP '%%% serai NOT impl for quadruple precision (si)'
        RETURN
        END



        SUBROUTINE SERAID(X,Y,AIR,AII)
        REAL*16 X,Y,AIR,AII
        STOP '%%% seraid NOT impl for quadruple precision (si)'
        RETURN
        END



        SUBROUTINE EXPAI(GAIR,GAII)
        REAL*16 GAIR,GAII
        STOP '%%% expai NOT impl for quadruple precision (si)'
        RETURN                                                 
        END



        SUBROUTINE EXPAID(GAIR,GAII)                               
        REAL*16 GAIR,GAII
        STOP '%%% expaid NOT impl for quadruple precision (si)'
        RETURN
        END



       SUBROUTINE BIZ(IFUN,IFAC,X0,Y0,GBIR,GBII,IERRO)   
       REAL*16 X0,Y0,GBIR,GBII 
       INTEGER IFUN,IFAC,IERRO
       INTEGER IARG3                                             !!! si
       ENTRY BIZ_IARG3 (IFUN,IFAC,X0,Y0,GBIR,GBII,IERRO, IARG3)  !!! si
       STOP '%%% biz NOT impl for quadruple precision (si)'
       RETURN
       END
 
